# Class RunFonts

#### Hierarchy (view full)

- XmlComponent
  - RunFonts

- Defined in file/paragraph/run/run-fonts.ts:21

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new RunFonts(name, hint?): RunFonts

- #### Parameters

  - name: string
  - `Optional` hint: string

  #### Returns RunFonts

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/run/run-fonts.ts:22
- new RunFonts(attrs): RunFonts

- #### Parameters

  - attrs: string | IFontAttributesProperties

  #### Returns RunFonts

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/run/run-fonts.ts:23

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc